Index: sasmodels/conversion_table.py
===================================================================
--- sasmodels/conversion_table.py	(revision c95dfc63540124ba98d89b2b0f251fb324905860)
+++ sasmodels/conversion_table.py	(revision 5b60eeb5660576401a383b95739b5b029e91ba65)
@@ -29,5 +29,5 @@
             "sld": "sld_barbell",
             "length": "len_bar",
-            "bell_radius": "rad_bell",
+            "radius_bell": "rad_bell",
             "radius": "rad_bar",
             "sld_solvent": "sld_solv"
@@ -83,5 +83,5 @@
             "sld": "sld_capcyl",
             "length": "len_cyl",
-            "cap_radius": "rad_cap",
+            "radius_cap": "rad_cap",
             "radius": "rad_cyl",
             "sld_solvent": "sld_solv"
@@ -126,7 +126,7 @@
             "sld_core": "core_sld",
             "sld_rim": "rim_sld",
-            "face_thickness": "face_thick",
+            "thick_face": "face_thick",
             "sld_solvent": "solvent_sld",
-            "rim_thickness": "rim_thick",
+            "thick_rim": "rim_thick",
             "sld_face": "face_sld",
             "theta": "axis_theta"
@@ -144,18 +144,4 @@
     ],
     "core_shell_ellipsoid": [
-        "CoreShellEllipsoidModel",
-        {
-            "phi": "axis_phi",
-            "sld_core": "sld_core",
-            "polar_shell": "polar_shell",
-            "sld_solvent": "sld_solvent",
-            "equat_shell": "equat_shell",
-            "equat_core": "equat_core",
-            "theta": "axis_theta",
-            "polar_core": "polar_core",
-            "sld_shell": "sld_shell"
-        }
-    ],
-    "core_shell_ellipsoid_xt": [
         "CoreShellEllipsoidXTModel",
         {
@@ -164,5 +150,5 @@
             "x_core": "X_core",
             "sld_solvent": "sld_solvent",
-            "t_shell": "T_shell",
+            "thick_shell": "T_shell",
             "x_polar_shell": "XpolarShell",
             "theta": "axis_theta",
@@ -179,12 +165,12 @@
             "sld_b": "sld_rimB",
             "sld_solvent": "sld_solv",
-            "a_side": "shortA",
+            "length_a": "shortA",
             "sld_a": "sld_rimA",
-            "b_side": "midB",
-            "crim_thickness": "rimC",
+            "length_b": "midB",
+            "thick_rimc": "rimC",
             "theta": "parallel_theta",
-            "arim_thickness": "rimA",
-            "c_side": "longC",
-            "brim_thickness": "rimB"
+            "thick_rim_a": "rimA",
+            "length_c": "longC",
+            "thick_rim_b": "rimB"
         }
     ],
@@ -214,6 +200,6 @@
             "porod_scale": "scale_p",
             "lorentz_scale": "scale_l",
-            "exponent_p": "exponent_p",
-            "exponent_l": "exponent_l",
+            "porod_exp": "exponent_p",
+            "lorentz_exp": "exponent_l",
             "cor_length": "length_l"
         }
@@ -247,8 +233,8 @@
         {
             "phi": "axis_phi",
-            "r_equatorial": "radius_b",
+            "radius_equatorial": "radius_b",
             "sld": "sldEll",
             "theta": "axis_theta",
-            "r_polar": "radius_a",
+            "radius_polar": "radius_a",
             "sld_solvent": "sldSolv"
         }
@@ -316,9 +302,9 @@
         "GaussLorentzGelModel",
         {
-            "gauss_scale_factor": "scale_g",
-            "dynamic_cor_length": "dyn_colength",
-            "static_cor_length": "stat_colength",
-            "background": "background",
-            "lorentz_scale_factor": "scale_l"
+            "gauss_scale": "scale_g",
+            "cor_length_dynamic": "dyn_colength",
+            "cor_length_static": "stat_colength",
+            "background": "background",
+            "lorentz_scale: "scale_l"
         }
     ],
@@ -332,7 +318,7 @@
         "GelFitModel",
         {
-            "gyration_radius": "radius",
-            "lorentzian_scale": "lScale",
-            "fractal_exp": "FractalExp",
+            "rg": "radius",
+            "lorentz_scale": "lScale",
+            "fractal_dim": "FractalExp",
             "cor_length": "zeta",
             "guinier_scale": "gScale"
@@ -377,5 +363,5 @@
             "phi": "axis_phi",
             "scale": "scale",
-            "core_radius": "core_radius",
+            "radius_core": "core_radius",
             "sld_solvent": "sldSolv",
             "length": "length",
@@ -390,7 +376,7 @@
         {
             "b2a_ratio": "b2a_ratio",
-            "a_side": "short_side",
+            "length_a": "short_side",
             "sld": "sldPipe",
-            "c_side": "c2a_ratio",
+            "length_c": "c2a_ratio",
             "sld_solvent": "sldSolv",
             "thickness": "thickness"
@@ -402,6 +388,6 @@
             "sld": "sldPipe",
             "b2a_ratio": "b2a_ratio",
-            "a_side": "short_side",
-            "c_side": "c2a_ratio",
+            "length_a": "short_side",
+            "length_c": "c2a_ratio",
             "sld_solvent": "sldSolv"
         }
@@ -421,6 +407,6 @@
             "sld_solvent": "sld_solvent",
             "sld_head": "sld_head",
-            "tail_length": "t_length",
-            "head_length": "h_thickness"
+            "length_tail": "t_length",
+            "length_head": "h_thickness"
         }
     ],
@@ -431,6 +417,6 @@
             "Nlayers": "n_plates",
             "sld_head": "sld_head",
-            "tail_length": "deltaT",
-            "head_length": "deltaH",
+            "length_tail": "deltaT",
+            "length_head": "deltaH",
             "sld": "sld_tail",
             "sld_solvent": "sld_solvent"
@@ -451,5 +437,5 @@
         {
             "sld": "sld_layer",
-            "spacing_polydisp": "pd_spacing",
+            "sigma_d": "pd_spacing",
             "sld_solvent": "sld_solvent"
         }
@@ -483,5 +469,5 @@
             "cutoff_length": "co_length",
             "radius": "radius",
-            "mass_dim": "mass_dim"
+            "fractal_dim_mass": "mass_dim"
         }
     ],
@@ -489,9 +475,9 @@
         "MassSurfaceFractal",
         {
-            "cluster_rg": "cluster_rg",
-            "mass_dim": "mass_dim",
-            "radius": "radius",
-            "surface_dim": "surface_dim",
-            "primary_rg": "primary_rg"
+            "rg_cluster": "cluster_rg",
+            "fractal_dim_mass": "mass_dim",
+            "radius": "radius",
+            "fractal_dim_surf": "surface_dim",
+            "rg_primary": "primary_rg"
         }
     ],
@@ -499,5 +485,5 @@
         "DebyeModel",
         {
-            "radius_gyration": "rg",
+            "rg": "rg",
             "scale": "scale",
             "background": "background"
@@ -521,5 +507,5 @@
             "A": "A_shell",
             "sld_core": "sld_core0",
-            "core_radius": "rad_core0",
+            "radius_core": "rad_core0",
             "sld_solvent": "sld_solv",
             "thickness": "thick_shell",
@@ -534,9 +520,9 @@
             "psi": "parallel_psi",
             "sld_solvent": "sldSolv",
-            "a_side": "short_a",
-            "b_side": "short_b",
+            "length_a": "short_a",
+            "length_b": "short_b",
             "sld": "sldPipe",
             "theta": "parallel_theta",
-            "c_side": "long_c",
+            "length_c": "long_c",
             "M0:sld": "M0_sld_pipe",
             "mtheta:sld": "M_theta_pipe",
@@ -561,9 +547,9 @@
         {
             "scale": "scale",
-            "string_thickness": "thick_string",
+            "thick_string": "thick_string",
             "sld_string": "sld_string",
             "sld_solvent": "sld_solv",
-            "edge_separation": "edge_separation",
-            "number_of_pearls": "num_pearls",
+            "edge_sep": "edge_separation",
+            "num_pearls": "num_pearls",
             "radius": "radius",
             "background": "background",
@@ -574,5 +560,5 @@
         "Poly_GaussCoil",
         {
-            "radius_gyration": "rg",
+            "rg": "rg",
             "polydispersity": "poly_m",
             "scale": "scale",
@@ -622,5 +608,5 @@
             "background": "background",
             "alpha": "alpha",
-            "pringle_sld": "sld_pringle"
+            "sld": "sld_pringle"
         }
     ],
@@ -644,6 +630,6 @@
             "sld": "sldPipe",
             "b2a_ratio": "b2a_ratio",
-            "a_side": "short_side",
-            "c_side": "c2a_ratio",
+            "length_a": "short_side",
+            "length_c": "c2a_ratio",
             "sld_solvent": "sldSolv"
         }
@@ -752,5 +738,5 @@
             "cutoff_length": "co_length",
             "radius": "radius",
-            "surface_dim": "surface_dim"
+            "fractal_dim_surf": "surface_dim"
         }
     ],
@@ -765,8 +751,8 @@
         {
             "phi": "axis_phi",
-            "req_minor": "semi_axisA",
-            "rpolar": "semi_axisC",
-            "req_major": "semi_axisB",
-            "solvent_sld": "sldSolv",
+            "radius_equat_minor": "semi_axisA",
+            "radius_polar": "semi_axisC",
+            "radius_equat_major": "semi_axisB",
+            "sld_solvent": "sldSolv",
             "psi": "axis_psi",
             "sld": "sldEll",
